⚠️ This documentation is not complete and will change. Documentation and API References are actively being updated.
curl --request GET \
--url https://api.propops.app/api/admin/activity-log \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Operation completed successfully",
"data": [
{
"ID": 1,
"user_id": 1,
"user_name": "User_001",
"action": "job.created",
"resource_type": "job",
"resource_id": 1001,
"ip_address": "203.0.113.1",
"created_at": "2024-06-01T09:00:00Z"
}
],
"count": 200
}Returns a paginated audit log of all user actions in the system. Required permission: api.admin.activity-log.manage
curl --request GET \
--url https://api.propops.app/api/admin/activity-log \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Operation completed successfully",
"data": [
{
"ID": 1,
"user_id": 1,
"user_name": "User_001",
"action": "job.created",
"resource_type": "job",
"resource_id": 1001,
"ip_address": "203.0.113.1",
"created_at": "2024-06-01T09:00:00Z"
}
],
"count": 200
}All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...1
"job.created"
"2024-06-01"
"2024-06-30"
Maximum number of records to return (default 50, max 200).
1 <= x <= 200Number of records to skip for pagination.
x >= 0